Important


The information on this page is always relevant for the current major version of Royal TSX. If you're using an older version, please see the following KB article for compatibility information and system requirements.

Royal TSX requires at least macOS Yosemite (version 10.10) to run.
Royal TSX will NOT run on any older version of macOS.

Compatibility


Royal TSX is supported on the following operating system versions:

  • macOS Mojave (version 10.14)
  • macOS High Sierra (version 10.13)
  • macOS Sierra (version 10.12)
  • macOS El Capitan (version 10.11)
  • macOS Yosemite (version 10.10)

Generally, we do NOT support macOS beta releases. That doesn't mean the application won't run on any beta though. Of course we try to make sure Royal TSX works even on betas as soon as possible. But if your daily workflow depends on Royal TSX, please don't use macOS betas or be aware that compatibility might break with every update.

Gatekeeper


The Royal TSX application bundles and dmg images are signed with an official Apple Developer ID certificate. That means, your security settings must allow apps downloaded from "App Store and identified developers".